<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::settings::SettingEventMetadata Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1settings_1_1_setting_event_metadata.html">SettingEventMetadata</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1settings_1_1_setting_event_metadata-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::SettingEventMetadata Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_setting_event_metadata_8h_source.html">SettingEventMetadata.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af7482d3fe4f3a96396f7c87089e510c7"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1settings_1_1_setting_event_metadata.html#af7482d3fe4f3a96396f7c87089e510c7">eventNamespace</a></td></tr>
<tr class="memdesc:af7482d3fe4f3a96396f7c87089e510c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The event namespace placed in the header.  <a href="#af7482d3fe4f3a96396f7c87089e510c7">More...</a><br /></td></tr>
<tr class="separator:af7482d3fe4f3a96396f7c87089e510c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bc3510948ee8a12cdc97cf6df9bcb83"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1settings_1_1_setting_event_metadata.html#a4bc3510948ee8a12cdc97cf6df9bcb83">eventChangedName</a></td></tr>
<tr class="memdesc:a4bc3510948ee8a12cdc97cf6df9bcb83"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name for the event indicating a value changed in the setting.  <a href="#a4bc3510948ee8a12cdc97cf6df9bcb83">More...</a><br /></td></tr>
<tr class="separator:a4bc3510948ee8a12cdc97cf6df9bcb83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6df52ebbb67bb59877f9b0cc3e37c993"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1settings_1_1_setting_event_metadata.html#a6df52ebbb67bb59877f9b0cc3e37c993">eventReportName</a></td></tr>
<tr class="memdesc:a6df52ebbb67bb59877f9b0cc3e37c993"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name for the event for reporting the value of a setting.  <a href="#a6df52ebbb67bb59877f9b0cc3e37c993">More...</a><br /></td></tr>
<tr class="separator:a6df52ebbb67bb59877f9b0cc3e37c993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9ae8637bd3a412b7e104c9ea7c63463"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1settings_1_1_setting_event_metadata.html#ab9ae8637bd3a412b7e104c9ea7c63463">settingName</a></td></tr>
<tr class="memdesc:ab9ae8637bd3a412b7e104c9ea7c63463"><td class="mdescLeft">&#160;</td><td class="mdescRight">The string key in the payload to specify the value of the setting.  <a href="#ab9ae8637bd3a412b7e104c9ea7c63463">More...</a><br /></td></tr>
<tr class="separator:ab9ae8637bd3a412b7e104c9ea7c63463"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Specifies the parameters needed to construct setting changed and report events. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a4bc3510948ee8a12cdc97cf6df9bcb83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bc3510948ee8a12cdc97cf6df9bcb83">&#9670;&nbsp;</a></span>eventChangedName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::settings::SettingEventMetadata::eventChangedName</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The name for the event indicating a value changed in the setting. </p>

</div>
</div>
<a id="af7482d3fe4f3a96396f7c87089e510c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7482d3fe4f3a96396f7c87089e510c7">&#9670;&nbsp;</a></span>eventNamespace</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::settings::SettingEventMetadata::eventNamespace</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The event namespace placed in the header. </p>

</div>
</div>
<a id="a6df52ebbb67bb59877f9b0cc3e37c993"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6df52ebbb67bb59877f9b0cc3e37c993">&#9670;&nbsp;</a></span>eventReportName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::settings::SettingEventMetadata::eventReportName</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The name for the event for reporting the value of a setting. </p>

</div>
</div>
<a id="ab9ae8637bd3a412b7e104c9ea7c63463"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9ae8637bd3a412b7e104c9ea7c63463">&#9670;&nbsp;</a></span>settingName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::settings::SettingEventMetadata::settingName</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The string key in the payload to specify the value of the setting. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Settings/include/Settings/<a class="el" href="_setting_event_metadata_8h_source.html">SettingEventMetadata.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
